Subject: Re: G77 fork problems
From: [email-masked] (Mumit Khan)

20 Jan 1999 09:06:37 -0800
Message-ID: <[email-masked]>
References: <001701be4422$83d00ee0$84cd78cf@hunda>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "Suhaib M. Siddiqi" <[email-masked]>
Cc: [email-masked], [email-masked]

On Tue, 19 Jan 1999, Suhaib M. Siddiqi wrote:

> 
> ON LINUX the Final Result was:
> 
> Extreme values found : 20.000  -4.200
> 
> AND on NT using same version of G77 and same calulcation criteria, the final
> result was:
> 
> Extreme values found : 20.000  0.000

Looks pretty close to me ;-)

Without looking at the source, I can't suggest anything at all. There may
be issues related to the math library used in Cygwin (newlib), but again
I wouldn't know without the source. Can you break it down and see where
it's going wrong?

> Are there major differences between G77 on NT and LINUX?  If so, how one can
> circumvent the problem?

The only change is in some libf2c library routines to get around windows
braindeadness (only etime and dtime if I remember correctly).

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".